---
title: "abs"
subtitle: "Function in std::math"
excerpt: "Compute the absolute value of a number."
layout: manual
---

Compute the absolute value of a number.

```kcl
abs(@input: number): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `input` | [`number`](/docs/kcl-std/types/std-types-number) | A number. | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
myAngle = -120

sketch001 = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [8, 0])
  |> angledLine(
    angle = abs(myAngle),
    length = 5,
  )
  |> line(end = [-5, 0])
  |> angledLine(
    angle = myAngle,
    length = 5,
  )
  |> close()

baseExtrusion = extrude(sketch001, length = 5)
```

![Rendered example of abs 0](data:image/png;base64,[encoded data, 92724 characters])


